Bug 694090 - python-bytecode-inconsistent-mtime checking is wrongly done on soft links
python-bytecode-inconsistent-mtime checking is wrongly done on soft links
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: rpmlint (Show other bugs)
rawhide
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Tom "spot" Callaway
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-04-06 08:39 EDT by Thierry Vignaud
Modified: 2011-05-03 21:02 EDT (History)
6 users (show)

See Also:
Fixed In Version: rpmlint-1.2-1.fc14
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-04-30 23:27:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Thierry Vignaud 2011-04-06 08:39:35 EDT
python-bytecode-inconsistent-mtime checking is wrongly done on soft links.

Eg using rpmlint-1.0-4.el5 on itself, it complains about symlinks on python modules.
This version provides el[45]-rpmlint.py softlinks on rpmlint.py, which show this behaviour. Note that it could be seen on any other package packaging python modules with symlinks.
(This bug is not about having symlinks on RHEL5 but about checking symlinks)

Rpmlint doesn't dereference the soft links and looks at the softlink date instead of the symlink target's date.

eg:
$ rpmlint rpmlint
rpmlint.noarch: E: python-bytecode-inconsistent-mtime /usr/share/rpmlint/el4-rpmlint.pyo 2010-07-12T18:13:41 /usr/share/rpmlint/el4-rpmlint.py 2011-04-06T12:12:04
rpmlint.noarch: E: python-bytecode-inconsistent-mtime /usr/share/rpmlint/el4-rpmlint.pyc 2010-07-12T18:13:41 /usr/share/rpmlint/el4-rpmlint.py 2011-04-06T12:12:04
rpmlint.noarch: E: python-bytecode-inconsistent-mtime /usr/share/rpmlint/el5-rpmlint.pyo 2010-07-12T18:13:41 /usr/share/rpmlint/el5-rpmlint.py 2011-04-06T12:12:04
rpmlint.noarch: E: python-bytecode-inconsistent-mtime /usr/share/rpmlint/el5-rpmlint.pyc 2010-07-12T18:13:41 /usr/share/rpmlint/el5-rpmlint.py 2011-04-06T12:12:04
(...)
Comment 2 Fedora Update System 2011-04-24 22:09:56 EDT
rpmlint-1.2-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/rpmlint-1.2-1.fc14
Comment 3 Fedora Update System 2011-04-24 22:10:23 EDT
rpmlint-1.2-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/rpmlint-1.2-1.fc15
Comment 4 Fedora Update System 2011-04-24 22:10:52 EDT
rpmlint-1.2-1.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/rpmlint-1.2-1.fc13
Comment 5 Fedora Update System 2011-04-25 16:54:17 EDT
Package rpmlint-1.2-1.fc14:
* should fix your issue,
* was pushed to the Fedora 14 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing rpmlint-1.2-1.fc14'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/rpmlint-1.2-1.fc14
then log in and leave karma (feedback).
Comment 6 Fedora Update System 2011-04-30 23:26:42 EDT
rpmlint-1.2-1.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2011-05-03 21:00:15 EDT
rpmlint-1.2-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2011-05-03 21:01:35 EDT
rpmlint-1.2-1.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.